# Uses of Record Class
org.apache.lucene.index.ReaderSlice

Packages that use ReaderSlice
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of ReaderSlice in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as ReaderSlice
  Modifier and Type
  Field
  Description
  `static final ReaderSlice[]`
  ReaderSlice.`EMPTY_ARRAY`
  Zero-length `ReaderSlice` array.
  `ReaderSlice`
  MultiPostingsEnum.EnumWithSlice.`slice`
  `ReaderSlice` describing how this sub-reader fits into the composite reader.
  Methods in org.apache.lucene.index that return ReaderSlice
  Modifier and Type
  Method
  Description
  `ReaderSlice[]`
  MultiTerms.`getSubSlices()`
  Expert: returns pointers to the sub-readers corresponding to the Terms being merged.
  Constructors in org.apache.lucene.index with parameters of type ReaderSlice
  Modifier
  Constructor
  Description
  ``
  `MultiFields(Fields[] subs, ReaderSlice[] subSlices)`
  Sole constructor.
  ``
  `MultiTerms(Terms[] subs, ReaderSlice[] subSlices)`
  Sole constructor.
  ``
  `MultiTermsEnum(ReaderSlice[] slices)`
  Sole constructor.